Bug 165805 - extraneous widespace in init script output
Summary: extraneous widespace in init script output
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-12 13:37 UTC by Joe Orton
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0474
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 17:22:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2005-08-12 13:37:06 UTC
The init script emits an extraneous newline.

Version-Release number of selected component (if applicable):
2.4.1-1

Actual results:
[root@tango ~]# service tog-pegasus start
Starting up CIM server: cimserver start                    [  OK  ]
  
[root@tango ~]#

Expected results:
no blank after successful startup.

Comment 1 Jason Vas Dias 2005-08-12 16:34:03 UTC
tog-pegasus' upstream initscript uses the /lib/lsb/init-functions script from
the redhat-lsb package for all startup / shutdown functionality, and has an
"echo" after invoking the log_success_msg / log_failure_msg.

Presumably the log_success_msg / log_failure_msg functions do not emit
a newline on other platforms - neither do our /etc/init.d/functions 
success / failure functions.

I'll remove these 'echo's from the next 2.4.1-2_EL4 release - now committed to
CVS .


Comment 2 Bill Nottingham 2006-11-22 17:22:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0474.html



Note You need to log in before you can comment on or make changes to this bug.